ON_BrepRegionTopology Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

## Public Member Functions

| ON_BrepRegionTopology ()
| ON_BrepRegionTopology (const ON_BrepRegionTopology &src)
| ~ON_BrepRegionTopology ()
ON_BrepRegionTopology & | operator= (const ON_BrepRegionTopology &)
ON_Brep * | Brep () const
bool | IsValid (ON_TextLog *text_log=0) const
bool | Read (ON_BinaryArchive &)
bool | Write (ON_BinaryArchive &) const
unsigned int | SizeOf () const

## Public Attributes

ON_BrepFaceSideArray | m_FS
ON_BrepRegionArray | m_R

## Friends

class | ON_BrepRegionTopologyUserData
class | ON_Brep

## Detailed Description

Definition at line 1546 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

## ON_BrepRegionTopology() [1/2]

ON_BrepRegionTopology::ON_BrepRegionTopology | ( |  | ) |

## ON_BrepRegionTopology() [2/2]

ON_BrepRegionTopology::ON_BrepRegionTopology | ( | const ON_BrepRegionTopology & | src | ) |

## ~ON_BrepRegionTopology()

ON_BrepRegionTopology::~ON_BrepRegionTopology | ( |  | ) |

## Member Function Documentation

## Brep()

ON_Brep* ON_BrepRegionTopology::Brep | ( |  | ) | const

## IsValid()

bool ON_BrepRegionTopology::IsValid | ( | ON_TextLog * | text_log = `0` | ) | const

## operator=()

ON_BrepRegionTopology& ON_BrepRegionTopology::operator= | ( | const ON_BrepRegionTopology & |  | ) |

## Read()

bool ON_BrepRegionTopology::Read | ( | ON_BinaryArchive & |  | ) |

## SizeOf()

unsigned int ON_BrepRegionTopology::SizeOf | ( |  | ) | const

## Write()

bool ON_BrepRegionTopology::Write | ( | ON_BinaryArchive & |  | ) | const

## Friends And Related Function Documentation

## ON_Brep

friend class ON_Brep

friend

Definition at line 1566 of file opennurbs_brep.h.

## ON_BrepRegionTopologyUserData

friend class ON_BrepRegionTopologyUserData

friend

Definition at line 1565 of file opennurbs_brep.h.

## Member Data Documentation

## m_FS

ON_BrepFaceSideArray ON_BrepRegionTopology::m_FS

Definition at line 1554 of file opennurbs_brep.h.

## m_R

ON_BrepRegionArray ON_BrepRegionTopology::m_R

Definition at line 1555 of file opennurbs_brep.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_brep.h